/** Main file for USB storage key **/

#include <avr/io.h>
#include <util/delay.h>
#include <stdint.h>

#include "io.h"


#include <Keypad.h>
#include <Key.h>
// Constants


#define REPET 1000

const byte ROWS = 6; //6 lignes
const byte COLS = 5; //5 colonnes

DDRB &= ~(0x7F);    // PB0 à PB5 en entrée
DDRD &= ~(0x7);    // PD0 à PD3 en entrée
DDRC |= ~(0xF4);    // PC2 à PC7 en sortie
DDRD |= ~(0x10);    // PD3 en sortie

unsigned char *DAC[]={DAC1,DAC2,DAC3,DAC4,DAC5};
char keys[ROWS][COLS] = {
  {'1','2','3','4','5'},
  {'6','7','8','9','a'},
  {'b','c','d','e','f'},
  {'g','h','i','j','k'},
  {'l','m','n','o','p'},
  {'q','r','s','t','u'},
};



#define MAX_LED	1

#define PORTB_OUTPUT	0x00
#define PORTC_OUTPUT	0x150
#define PORTD_OUTPUT	0x08

unsigned char led1[]={0x00,0x00,0x8};

unsigned char *leds[]={led1};
//
//int main(void)
//{
//unsigned char omasks[]={PORTB_OUTPUT,PORTC_OUTPUT,PORTD_OUTPUT};
//outputs_init(omasks);
//int i;
//while(1){
//  for(i=0;i<MAX_LED;i++){ output_set(leds,i); _delay_ms(1000); }
//  for(i=0;i<MAX_LED;i++){ output_unset(leds,i); _delay_ms(1000); }
//  }
//return 0;
//}
